/// <reference types="node" />
import { Stream } from 'stream';
import sharp, { Sharp, FitEnum, OutputOptions, JpegOptions, PngOptions, WebpOptions, TiffOptions } from 'sharp';
export interface Style {
    width?: number;
    height?: number;
    fit?: keyof FitEnum;
    format?: string;
    transform?: (transformer: Sharp, width: number, height: number, format?: string) => Sharp;
    formatOptions?: OutputOptions | JpegOptions | PngOptions | WebpOptions | TiffOptions;
}
export default function proccess(readStream: Stream, style: Style): sharp.Sharp;
