import { Request, Response, NextFunction } from 'express';
import { Style } from './image-proccessor';
import { IStorage } from './storage';
export interface Options {
    styles: {
        [key: string]: Style;
    };
    storage: IStorage;
}
export declare function useFilehookStyles(options: Options): (req: Request, res: Response, next: NextFunction) => Promise<void>;
