/// <reference types="node" />
import { Stream } from 'stream';
import { IStorage } from './storage';
export declare class HttpStorage implements IStorage {
    private readonly rootUrl;
    constructor(rootUrl: string);
    exists(fileRelativePath: string): Promise<boolean>;
    getStream(fileRelativePath: string): Stream;
}
