"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const sharp_1 = __importDefault(require("sharp"));
function proccess(readStream, style) {
    let sharpTransformer = sharp_1.default();
    if (style.width || style.height) {
        sharpTransformer = sharpTransformer.resize(undefined, undefined, {
            width: style.width,
            height: style.height,
            fit: 'outside'
        });
    }
    if (style.format) {
        sharpTransformer = sharpTransformer.toFormat(style.format, style.formatOptions);
    }
    if (style.transform) {
        style.transform(sharpTransformer, style.width, style.height, style.format);
    }
    return readStream.pipe(sharpTransformer);
}
exports.default = proccess;
//# sourceMappingURL=image-proccessor.js.map