/// <reference types="node" />
import { Stream } from 'stream';
import { IStorage } from './storage';
export declare class LocalStorage implements IStorage {
    private readonly rootPath;
    constructor(rootPath: string);
    exists(fileRelativePath: string): Promise<boolean>;
    getStream(fileRelativePath: string): Stream;
}
