"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const fs_1 = __importStar(require("fs"));
const util_1 = require("util");
class LocalStorage {
    constructor(rootPath) {
        this.rootPath = rootPath;
    }
    exists(fileRelativePath) {
        const filePath = path_1.default.join(this.rootPath, fileRelativePath);
        return util_1.promisify(fs_1.default.exists)(filePath);
    }
    getStream(fileRelativePath) {
        const filePath = path_1.default.join(this.rootPath, fileRelativePath);
        return fs_1.createReadStream(filePath);
    }
}
exports.LocalStorage = LocalStorage;
//# sourceMappingURL=local-storage.js.map